# Class Paint.Align

java.lang.Object
com.codename1.charts.compat.Paint.Align

Enclosing class:
  `Paint`

public static class Paint.Align extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CENTER`
  `static final int`
  `LEFT`
  `static final int`
  `RIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Align()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### CENTER

    public static final int CENTER
    See Also:
      - Constant Field Values

  - ### LEFT

    public static final int LEFT
    See Also:
      - Constant Field Values

  - ### RIGHT

    public static final int RIGHT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Align

    public Align()